Subject: bug#40597: closed (Re: bug#40597: [PATCH] doc: Mention update-guix-package in guix-binary tarball, rebuild instructions.)

From: [email-masked] (GNU bug Tracking System)
Date: Wed, 14 Jul 2021 03:20:01 +0000

Your bug report

#40597: [PATCH] doc: Mention update-guix-package in guix-binary tarball, rebuild instructions.

which was filed against the guix-patches package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
40597: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=40597
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#40597: [PATCH] doc: Mention update-guix-package in guix-binary tarball, rebuild instructions.
From: Maxim Cournoyer <[email-masked]>
To: Ludovic Courtès <[email-masked]>
Cc: Vincent Legoll <[email-masked]>, [email-masked]
Date: Tue, 13 Jul 2021 23:19:14 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi Vincent and Ludovic,

Ludovic Courtès <[email-masked]> writes:

> Hi Vincent,
>
> Vincent Legoll <[email-masked]> skribis:
>
>>>>>From dd961656d9bd98d11ba5e38be89cd1952fefc263 Mon Sep 17 00:00:00 2001
>> From: Vincent Legoll <[email-masked]>
>> Date: Mon, 13 Apr 2020 14:25:57 +0200
>> Subject: [PATCH] doc: Mention update-guix-package in guix-binary tarball
>>  rebuild instructions.
>>
>> * doc/guix.texi (Binary Installation): Mention 'make update-guix-package'.
>
> I agree this needs to be documented, but I don’t think this is the right
> place: “Binary Installation” is for users who want to install.  Instead,
> we should document it in a section explicitly targeting Guix developers,
> maybe under “Contributing”?

A "Updating the Guix Package" subsection has since been added to the
Contributing section, which I believe covers this.

Thank you,

Closing.

Maxim

Subject: [PATCH] doc: Mention update-guix-package in guix-binary tarball, rebuild instructions.
From: Vincent Legoll <[email-masked]>
To: [email-masked]
Date: Mon, 13 Apr 2020 14:34:38 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello,

following the discussion in guix-devel, here is a small doc
addition to explain how binary-tarball modifications can
be built and then tested...

WDYT ?

-- 
Vincent Legoll

>From dd961656d9bd98d11ba5e38be89cd1952fefc263 Mon Sep 17 00:00:00 2001
From: Vincent Legoll <[email-masked]>
Date: Mon, 13 Apr 2020 14:25:57 +0200
Subject: [PATCH] doc: Mention update-guix-package in guix-binary tarball
 rebuild instructions.

* doc/guix.texi (Binary Installation): Mention 'make update-guix-package'.
---
 doc/guix.texi | 11 +++++++++++
 1 file changed, 11 insertions(+)

diff --git a/doc/guix.texi b/doc/guix.texi
index 891e2693f6..8bf4ef9b74 100644
--- a/doc/guix.texi
+++ b/doc/guix.texi
@@ -77,6 +77,7 @@ Copyright @copyright{} 2020 Jakub Kądziołka@*
 Copyright @copyright{} 2020 Jack Hill@*
 Copyright @copyright{} 2020 Naga Malleswari@*
 Copyright @copyright{} 2020 Brice Waegeneire@*
+Copyright @copyright{} 2020 Vincent Legoll@*
 
 Permission is granted to copy, distribute and/or modify this document
 under the terms of the GNU Free Documentation License, Version 1.3 or
@@ -736,6 +737,16 @@ guix pack -s @var{system} --localstatedir \
 
 @xref{Invoking guix pack}, for more info on this handy tool.
 
+If you have local modifications you want to include in the resulting
+tarball, you have to run the following command in your modified Guix
+source tree before doing the above:
+
+@example
+make update-guix-package
+git commit -m'NOT_FOR_UPSTREAM:allow testing a modified guix-binary' \
+  gnu/packages/package-management.scm
+@end example
+
 @node Requirements
 @section Requirements
 
-- 
2.20.1